*{
margin:0;
padding:0;
box-sizing:border-box;
font-family:Ubuntu, Helvetica, sans-serif;
}

html,body{
height:100%;
background:#ffffff;
color : #2271b1;
}

body{
display:flex;
flex-direction:column;
}

a{
color: #2271b1;	
}

a:hover{
color: #000000;	
}

/* HEADER */
header{
background:#2271b1;
color:white;
padding:15px 20px;
display:flex;
justify-content:space-between;
align-items:center;
position:sticky;
top:0;
z-index:1000;
}

.logo{
font-weight:bold;
}

.menu{
list-style:none;
display:flex;
gap:20px;
}

.menu a{
color:white;
text-decoration:none;
}

.burger{
display:none;
font-size:24px;
cursor:pointer;
}

#menu-toggle{
display:none;
}

/* PAGE */
.page{
flex:1;
padding:20px;
}

.container{
max-width:800px;
margin:auto;
padding:30px;
border-radius:6px;
}

.white{
background:#e5e5e5;
box-shadow:0 0 10px rgba(0,0,0,0.1);
}

.hero{
text-align:center;
margin-bottom:30px;
}

.btn{
display:inline-block;
padding:10px 20px;
background:#2271b1;
color:white;
text-decoration:none;
margin-top:15px;
}

/* FORM */
form{
display:flex;
flex-direction:column;
gap:10px;
}

input,textarea{
padding:10px;
border:1px solid #ccc;
}

button{
padding:12px;
background:#2271b1;
color:white;
border:none;
cursor:pointer;
width: 120px;
align-self: center;
border-radius: 9px;
}

/* FOOTER STICKY */
footer{
background:#2271b1;
color:white;
text-align:center;
padding:20px;
}

/* RESPONSIVE */
@media(max-width:768px){

.menu{
display:none;
flex-direction:column;
background:#2271b1;
position:absolute;
right:20px;
top:60px;
padding:15px;
}

#menu-toggle:checked + .burger + .menu{
display:flex;
}

.burger{
display:block;
}

}

/* == sous menu == */
.has-submenu{
position:relative;
}

.has-submenu > span{
cursor:pointer;
}

.submenu{
display:none;
position:absolute;
top:100%;
left:0;
background:#2271b1;
list-style:none;
padding:10px 0;
margin:0;
box-shadow:0 5px 10px rgba(0,0,0,0.1);
min-width:180px;
}

.submenu li a{
display:block;
padding:8px 15px;
white-space:nowrap;
}

.has-submenu:hover .submenu{
display:block;
}